Intermittent browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N)

RESOLVED FIXED in Firefox 58

Status

()

Core
Security
P3
normal
RESOLVED FIXED
9 months ago
6 months ago

People

(Reporter: Treeherder Bug Filer, Assigned: cfu)

Tracking

({intermittent-failure})

unspecified
mozilla58
intermittent-failure
Points:
---

Firefox Tracking Flags

(firefox58 fixed)

Details

MozReview Requests

()

Submitter Diff Changes Open Issues Last Updated
Loading...
Error loading review requests:

Attachments

(1 attachment)

(Reporter)

Description

9 months ago
treeherder
Filed by: archaeopteryx [at] coole-files.de

https://treeherder.mozilla.org/logviewer.html#?job_id=115844240&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/dkXr2MeQSq6Y6w_6X2MmDw/runs/0/artifacts/public/test_info//browser-chrome-chunked_errorsummary.log

[task 2017-07-20T06:38:23.733859Z] 06:38:23     INFO - Entering test bound test_window_open
[task 2017-07-20T06:38:23.742411Z] 06:38:23     INFO - Buffered messages logged at 06:37:49
[task 2017-07-20T06:38:23.760695Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.width has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:23.772175Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.height has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:23.778989Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerWidth has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:23.796270Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerHeight has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:23.814369Z] 06:38:23     INFO - Buffered messages logged at 06:37:57
[task 2017-07-20T06:38:23.830344Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.width has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:23.839643Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.height has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:23.856254Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerWidth has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:23.878206Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerHeight has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:23.886052Z] 06:38:23     INFO - Buffered messages logged at 06:38:04
[task 2017-07-20T06:38:23.909713Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.width has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:23.918827Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.height has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:23.944605Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerWidth has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:23.947875Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerHeight has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:23.955087Z] 06:38:23     INFO - Buffered messages logged at 06:38:12
[task 2017-07-20T06:38:23.980186Z] 06:38:23     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.width has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:24.006203Z] 06:38:24     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The screen.height has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:24.023473Z] 06:38:24     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerWidth has a correct rounded value - 200 == 200 - 
[task 2017-07-20T06:38:24.036584Z] 06:38:24     INFO - TEST-PASS | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | The window.innerHeight has a correct rounded value - 100 == 100 - 
[task 2017-07-20T06:38:24.042043Z] 06:38:24     INFO - Buffered messages logged at 06:38:13
[task 2017-07-20T06:38:24.059821Z] 06:38:24     INFO - Leaving test bound test_window_open
[task 2017-07-20T06:38:24.062871Z] 06:38:24     INFO - Buffered messages finished
[task 2017-07-20T06:38:24.091895Z] 06:38:24     INFO - TEST-UNEXPECTED-FAIL | browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js | This test exceeded the timeout threshold. It should be rewritten or split up. If that's not possible, use requestLongerTimeout(N), but only as a last resort. -

Comment 1

9 months ago
1 failures in 822 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382630&startday=2017-07-17&endday=2017-07-23&tree=all

Comment 2

8 months ago
1 failures in 901 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382630&startday=2017-08-07&endday=2017-08-13&tree=all

Comment 3

8 months ago
1 failures in 908 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382630&startday=2017-08-21&endday=2017-08-27&tree=all

Comment 4

7 months ago
1 failures in 924 pushes (0.001 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux64: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382630&startday=2017-09-04&endday=2017-09-10&tree=all
Flags: needinfo?(ettseng)
Priority: -- → P3

Updated

7 months ago
Assignee: nobody → tihuang
Flags: needinfo?(ettseng)

Comment 5

7 months ago
Tim knows the root cause.
He just needs to figure out an ideal solution.

Comment 6

7 months ago
1 failures in 943 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-inbound: 1

Platform breakdown:
* linux32-stylo-disabled: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382630&startday=2017-09-18&endday=2017-09-24&tree=all

Comment 7

7 months ago
2 failures in 885 pushes (0.002 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* mozilla-beta: 1
* autoland: 1

Platform breakdown:
* linux32-stylo-disabled: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382630&startday=2017-09-25&endday=2017-10-01&tree=all
(Assignee)

Updated

7 months ago
Assignee: tihuang → cfu
(Assignee)

Updated

7 months ago
Depends on: 1406294

Comment 8

6 months ago
1 failures in 947 pushes (0.001 failures/push) were associated with this bug in the last 7 days.    

Repository breakdown:
* autoland: 1

Platform breakdown:
* linux32: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1382630&startday=2017-10-09&endday=2017-10-15&tree=all
Comment hidden (mozreview-request)
(Assignee)

Updated

6 months ago
Attachment #8918714 - Flags: review?(tihuang)
Attachment #8918714 - Flags: review?(bugs)
(Assignee)

Comment 10

6 months ago
Number of opened windows: 6 -> 4, saving up to 33% of execution time.

Comment 11

6 months ago
mozreview-review
Comment on attachment 8918714 [details]
Bug 1382630 - Split browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js.

https://reviewboard.mozilla.org/r/189526/#review195062
Attachment #8918714 - Flags: review?(bugs) → review+

Comment 12

6 months ago
mozreview-review
Comment on attachment 8918714 [details]
Bug 1382630 - Split browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js.

https://reviewboard.mozilla.org/r/189526/#review195216
Attachment #8918714 - Flags: review?(tihuang) → review+
(Assignee)

Updated

6 months ago
Keywords: checkin-needed

Comment 13

6 months ago
We're sorry, Autoland could not rebase your commits for you automatically. Please manually rebase your commits and try again.

hg error in cmd: hg rebase -s c9bdd86734a2 -d 334fad658d2c: rebasing 427009:c9bdd86734a2 "Bug 1382630 - Split browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js. r=smaug,timhuang" (tip)
merging browser/components/resistfingerprinting/test/browser/browser.ini
warning: conflicts while merging browser/components/resistfingerprinting/test/browser/browser.ini! (edit, then use 'hg resolve --mark')
unresolved conflicts (see hg resolve, then hg rebase --continue)

Comment 14

6 months ago
We're sorry, Autoland could not rebase your commits for you automatically. Please manually rebase your commits and try again.

hg error in cmd: hg rebase -s c9bdd86734a2 -d 334fad658d2c: rebasing 427009:c9bdd86734a2 "Bug 1382630 - Split browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js. r=smaug,timhuang"
merging browser/components/resistfingerprinting/test/browser/browser.ini
warning: conflicts while merging browser/components/resistfingerprinting/test/browser/browser.ini! (edit, then use 'hg resolve --mark')
unresolved conflicts (see hg resolve, then hg rebase --continue)
Needs rebasing.
Flags: needinfo?(cfu)
Keywords: checkin-needed
Comment hidden (mozreview-request)
(Assignee)

Updated

6 months ago
Flags: needinfo?(cfu)
Keywords: checkin-needed

Comment 17

6 months ago
Pushed by ryanvm@gmail.com:
https://hg.mozilla.org/integration/autoland/rev/b8477c46d8ed
Split browser/components/resistfingerprinting/test/browser/browser_roundedWindow_open_min.js. r=smaug,timhuang
Keywords: checkin-needed
https://hg.mozilla.org/mozilla-central/rev/b8477c46d8ed
Status: NEW → RESOLVED
Last Resolved: 6 months ago
status-firefox58: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla58
You need to log in before you can comment on or make changes to this bug.